<script setup lang="ts">
import {
  ChevronLgRight,
  ClipboardChecks,
  DocsAlt,
  Increase,
  Cog,
  CogCode,
  CogCheck,
  Cogs,
  DigitalTransformation,
} from 'slippers-ui/icons';

const icons = {
  ClipboardChecks,
  DocsAlt,
  Increase,
  Cog,
  CogCode,
  CogCheck,
  Cogs,
  DigitalTransformation,
};

type LinksProps = {
  title: string;
  blocks: Array<{
    name: string;
    links: Array<{
      text: string;
      config: {
        url: string;
        dataGaName?: string;
        dataGaLocation?: string;
        icon?: string;
      };
    }>;
  }>;
  config?: {
    image?: boolean;
  };
};

defineProps<LinksProps>();
</script>

<template>
  <section class="links">
    <SlpContainer>
      <SlpRow class="slp-my-96">
        <SlpColumn :cols="8">
          <SlpTypography tag="h2" variant="heading2-bold">{{ title }}</SlpTypography>
          <div v-for="block in blocks" :key="block.name">
            <SlpTypography tag="h3" variant="heading3-bold" class="slp-mt-64 slp-mb-24">{{ block.name }}</SlpTypography>
            <ul class="links__list">
              <li v-for="link in block.links" :key="link.text">
                <SlpIcon :icon="icons[link.config.icon]" alt="" size="lg" variant="marketing" />
                <SlpButton
                  :href="link.config.url"
                  variant="tertiary"
                  :data-ga-name="link.config.dataGaName"
                  :data-ga-location="link.config.dataGaLocation"
                  class="links__button"
                >
                  <SlpTypography tag="h5" variant="heading5">
                    {{ link.text }}
                  </SlpTypography>
                </SlpButton>
                <SlpIcon :icon="ChevronLgRight" size="sm" />
              </li>
            </ul>
          </div>
        </SlpColumn>
        <SlpColumn v-if="config?.image" :cols="4" class="links__image">
          <img src="/images/backgrounds/gradient-circle.svg" />
          <img src="/images/backgrounds/gradient-square.svg" />
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.links {
  &__button {
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-left: $spacing-16;
    text-align: left;
  }
  &__list {
    max-width: 540px;

    li:first-of-type {
      border-bottom: 1px solid $color-surface-200;
    }
    li:last-of-type {
      border-top: 1px solid $color-surface-200;
    }
    li {
      display: flex;
      align-items: center;
      height: $spacing-96;
    }
    li:not(:first-of-type, :last-of-type) {
      border-top: 1px solid $color-surface-200;
      border-bottom: 1px solid $color-surface-200;
    }
  }

  &__image {
    @media (max-width: $breakpoint-md) {
      display: none;
    }
  }
}
</style>
